/* ___________________________
Body
___________________________ */

* {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: var(--headerHeight);
}

body {
  font-family: var(--familyZenKakuGothicN);
  background: #fff;
}

body.navOpen {
  /* overflow: hidden; */
}

.ios-mac {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/*
  Base common text style.
  Change to match design.
*/

p,
h5,
h4,
h3,
h2,
h1,
a,
dd,
dt,
li,
figcaption,
button,
label,
input,
address {
  font-size: var(--fontMax16Min14);
  font-weight: 400;
  line-height: 1.8;
  letter-spacing: 0.06em;
  color: var(--Gray-700);
}

.familyEB {
  font-family: var(--familyEB);
}

.familyShippori {
  font-family: var(--familyShippori);
}

/* ___________________________
Container
___________________________ */

.container1080 {
  margin-inline: auto;
  max-width: 1080px;
}

.for-sp {
  display: none;
}

@media screen and (width <= 1140px) {
  .container1080 {
    padding-inline: 1.875rem;
  }
}

@media screen and (width <= 767px) {
  .for-sp {
    display: block;
  }

  .for-pc {
    display: none;
  }
}

/* ___________________________
Header
___________________________ */

.header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-index-header);
  width: 100%;
  height: var(--headerHeight);
}

.navbar {
  display: flex;
  justify-content: space-between;
  gap: 2.78%;

  /* max-width: 1440px; */
  height: inherit;
  margin: 0 auto;
}

.navbar__logo {
  display: grid;
  flex: 0 1 19.93056vw;
  width: 19.93056vw;
  max-width: 17.9375rem;
  height: fit-content;
  margin-left: 11.389%;
  place-items: center;
  margin-block: auto;
}

.navbar__list {
  display: flex;
  flex: 1;
  justify-content: flex-end;
  align-items: center;
  gap: calc(32 / 757.94 * 100%);
  width: 100%;
  height: fit-content;
  height: inherit;
}

.navbar__item {
  position: relative;
}

.navbar__label {
  display: block;
  width: fit-content;
}

.navbar__label-en,
.navbar__label-ja {
  font-weight: 700;
  line-height: 1.57143;
  letter-spacing: 0.0525rem;
  text-align: center;
  color: #fff;
  transition:
    opacity 0.3s ease-out,
    color 0.3s;
  text-shadow: 0 0 16px rgb(0 0 0 / 60%);
}

.navbar__label-en {
  font-size: 0.75rem;
  font-weight: 500;
  line-height: 106%;
  letter-spacing: 0.015rem;
  text-transform: capitalize;
}

.navbar__label-ja {
  margin-top: 0.125rem;
  font-size: clamp(0.75rem, 0.607rem + 0.3vw, 0.875rem);
}

/* .header.is-scrolled .navbar__list .navbar__label-ja.is-active {
  color: var(--Red-800_main);
} */
.header.is-scrolled .navbar__label:hover .navbar__label-ja {
  color: var(--Red-800_main);
  opacity: 1 !important;
}

.navbar__contact-button {
  display: flex;
  flex: 0 0 9.4375rem;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: inherit;
  background: var(--Red-800_main);

  .navbar__label-en {
    font-size: 1rem;
    font-weight: 500;
    line-height: 1.06;
    letter-spacing: 0;
    color: #fff;
  }

  .navbar__label-ja {
    font-size: 0.9375rem;
    font-weight: 700;
    line-height: calc(22 / 15);
    color: #fff;
  }
}

.header a.navbar__contact-button {
  transition: background 0.3s;
}

.navbar__logo svg {
  width: 100%;

  path {
    fill: #fff;
    filter: drop-shadow(0 0 8px rgb(0 0 0 / 60%));
    transition: all 0.3s;
  }
}

.navbar-list__instagram {
  position: relative;
  display: block;
  width: 1.8125rem;
  height: 1.8125rem;

  img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .white {
    opacity: 1;
    transition: opacity 0.3s;
  }

  .nomal {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s;
  }
}

/* スクロール変化 */
.header.is-scrolled {
  background-color: rgb(255 255 255 / 90%);

  .navbar__logo svg path {
    fill: #3e3839;
    filter: none;
  }

  .navbar__list .navbar__label-en {
    color: var(--Red-700_main);
    text-shadow: none;
  }

  .navbar__list .navbar__label-ja {
    color: var(--Gray-700);
    text-shadow: none;
  }

  .navbar-list__instagram {
    .white {
      opacity: 0;
      visibility: hidden;
    }

    .nomal {
      opacity: 1;
      visibility: visible;
    }
  }
}

/* ハンバーガー */
.hamburger {
  position: relative;
  display: none;
  width: 2rem;
  height: 1.625rem;
  background: transparent;
  border: none;
  transition: 0.3s;
  cursor: pointer;
}

.hamburger span {
  position: absolute;
  width: 100%;
  height: 0.125rem;
  background: #fff;
  transition: transform 0.2s ease-out;
}

.hamburger span:nth-child(1) {
  top: 0;
  left: 0;
}

.navOpen .hamburger span:nth-child(1) {
  top: 0.5625rem;
  transform: rotate(45deg);
}

.hamburger span:nth-child(2) {
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}

.navOpen .hamburger span:nth-child(2) {
  opacity: 0;
  transform: translateX(20px);
}

.hamburger span:nth-child(3) {
  bottom: 0;
  left: 0;
}

.navOpen .hamburger span:nth-child(3) {
  transform: rotate(-45deg);
  top: 0.5625rem;
}

/* ドロワーメニュー */
.navdrawer {
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-index-drawer);
  display: none;
  flex-direction: column;

  /* height: 100dvh; */
  justify-content: center;
  align-items: center;
  gap: 18px;
  width: 100vw;
  background: #fff;
  border: 2px solid var(--Gray-50);
  opacity: 0;
  transition: 0.3s ease-out;
  pointer-events: none;
  transform: translateX(80%);
}

.navOpen .navdrawer {
  opacity: 1;
  pointer-events: auto;
  transform: translateX(0);
}

.navdrawer__container {
  display: grid;
  justify-content: center;
  gap: 1.75rem;
  width: 100%;
  margin: 0 auto;
  margin-top: 7rem;
  padding: 0 1.8785rem 1.8785rem;
  grid-template-columns: 1fr;
}

.navdrawer__label {
  text-align: center;
}

.navdrawer__label-en {
  font-size: 0.6875rem;
  font-weight: 500;
  line-height: 1.06;
  letter-spacing: 0.02em;
  color: var(--Red-800_main);
}

.navdrawer__label-ja {
  font-size: 0.8125rem;
  font-weight: 700;
  line-height: calc(22 / 13);
  letter-spacing: 0.06em;
}

.navbar__list .navdrawer__label-ja.is-active {
  color: var(--Red-800_main);
}

.navdrawer-list__instagram {
  display: block;
  width: fit-content;
  margin-inline: auto;
  padding: 0.75rem;
}

.navdrawer__list {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 1.8125rem;
}

.navdrawer__contact-button.navbar__contact-button {
  display: flex;
  width: 100%;
  height: 5rem;
  border-radius: 4px;
}

/* ホバー関連 */
.header a {
  transition: opacity 0.15s;
}

@media (hover: hover) {
  .header a:hover {
    opacity: 0.6;
  }

  a.navbar__contact-button:hover {
    background-color: var(--Red-900_main);
    opacity: 1;
  }
}

.header a:focus-visible {
  opacity: 0.6;
}

@media screen and (width <= 1140px) {
  .navbar__logo {
    margin-left: 1.875rem;
  }
}

@media screen and (width <= 1000px) {
  .navbar {
    justify-content: space-between;
  }

  .navbar__list,
  .navbar__contact-button {
    display: none;
  }

  .navdrawer {
    display: flex;
  }

  .hamburger {
    display: grid;
    place-items: center;
    width: 4.5rem;
    height: 4.5rem;
    background-color: var(--Red-800_main);
  }

  .hamburger__lines {
    position: relative;
    width: 2rem;
    height: 1.25rem;
  }

  .navbar__logo svg path {
    filter: none;
  }

  body.navOpen .navbar__logo svg path {
    fill: #3e3839;
  }
}

@media screen and (width <= 767px) {
  .navbar__logo {
    flex: none;
    width: 9.64625rem;
    max-width: none;
    margin-left: 1.875rem;
  }

  .navbar__logo img {
    width: 100%;
    max-width: 20rem;
  }
}

/* ___________________________
Footer
___________________________ */

.footer {
  display: block;
  color: #fff;
  background-color: var(--Gray-800);
  padding-block: 3.25rem 1.75rem;
}

.footer a {
  transition: opacity 0.15s;
}

@media (hover: hover) {
  .footer a:hover {
    opacity: 0.6;
  }
}

.footer a:focus-visible {
  opacity: 0.6;
}

.footer__flex {
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  gap: 1rem;
}

.footer__left {
  margin-top: 0.5rem;
}

.footer__logo {
  display: block;
  max-width: 7.6875rem;
  margin-bottom: 2rem;

  img {
    width: 100%;
  }
}

.footer-left__text,
.footer-left__text a {
  font-size: 0.8125rem;
  font-weight: 400;
  line-height: 180%;
  color: var(--Gray-100);
}

.footer__right {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: stretch;
}

.footer__nav-top > ul {
  display: flex;
  align-items: center;
  gap: 1.75rem;
}

.footer-nav__link {
  display: block;
  font-size: 0.9375rem;
  font-weight: 500;
  line-height: 1.33;
  color: #fff;
  padding-block: 0.5rem;
}

.footer__nav-bottom > ul {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 2rem;
}

.footer__nav-bottom .footer-nav__link {
  font-size: 0.8125rem;
  font-weight: 400;
  line-height: 180%;
  color: var(--Gray-400);
}

.foooter__copyright {
  margin-top: 3.75rem;
  font-size: 0.75rem;
  font-weight: 400;
  line-height: 1.5;
  text-align: center;
  color: var(--Gray-400);
}

@media screen and (width <= 1000px) {
  .footer__nav-top > ul {
    display: grid;
    gap: 0;
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media screen and (width <= 767px) {
  .footer__flex {
    flex-direction: column;
  }

  .footer__logo {
    margin-inline: auto;
  }

  .footer-left__text {
    text-align: center;
  }

  .footer__nav-top > ul {
    grid-template-columns: 1fr;
    width: fit-content;
    margin-inline: auto;
  }

  .footer-nav__link {
    font-size: 0.8125rem;
    text-align: center;
  }

  .footer__nav-bottom > ul {
    flex-direction: column;
    gap: 0;
    width: fit-content;
    margin-inline: auto;
    margin-top: 1.5rem;
  }

  .footer .navbar-list__instagram {
    margin-top: 1rem;
  }
}

/* ___________________________
ポップアップ 20歳以上か
___________________________ */
#popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-index-popup);
  display: none;
  width: 100vw;
  height: 100dvh;
  background-color: rgb(0 0 0 / 60%);

  /* opacity: 0;
  visibility: hidden; */

  .popup__container {
    position: absolute;
    top: 50%;
    left: 50%;
    display: grid;
    width: calc(100% - 1.875rem - 1.875rem);
    max-width: 1080px;
    padding: 3.471875rem;
    background-color: #f3f2ef;
    border-radius: 20px;
    place-items: center;
    transform: translate(-50%, -50%);
  }

  .popup__title-en {
    font-family: var(--familyEB);
    font-size: clamp(2.5rem, 2.148rem + 1.5vw, 3.5rem);
    font-weight: 500;
    line-height: 90%;
    letter-spacing: 0;
    color: #555;
  }

  .popup__texts {
    margin-block: 2.5rem;
  }

  .popup__texts p {
    font-size: 1.125rem;
    font-weight: 500;
    line-height: 200%;
    text-align: center;
  }

  .popup__question {
    font-size: 1.25rem;
    font-weight: 700;
    line-height: 200%;
    letter-spacing: 0.075rem;
    text-align: center;
  }

  .popup__buttons {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
    margin-top: 1.25rem;
  }

  .popup__button {
    position: relative;
    display: grid;
    width: 13.125rem;
    height: 3.1875rem;
    font-size: 0.875rem;
    font-weight: 700;
    letter-spacing: 0.04375rem;
    text-align: center;
    color: #fff;
    background-color: var(--Red-800_main);
    border-radius: 4px;
    transition: background-color 0.15s;
    place-items: center;
    cursor: pointer;
  }

  .popup__button::after {
    position: absolute;
    top: 50%;
    right: 20px;
    width: 10px;
    height: 9px;
    background: url('../images/top/icon-button-arrow--white.svg') no-repeat center center / contain;
    transition: right 0.3s;
    content: '';
    transform: translateY(-50%);
  }

  .popup__button.no {
    background-color: #2e3961;
  }

  @media (hover: hover) {
    .popup__button:hover::after {
      right: 18px;
    }

    .popup__button.yes:hover {
      background-color: var(--Red-900_main);
    }

    .popup__button.no:hover {
      background-color: #091543;
    }
  }

  .popup__button:focus-visible::after {
    right: 18px;
  }

  .popup__button.yes:focus-visible {
    background-color: var(--Red-900_main);
  }

  .popup__button.no:focus-visible {
    background-color: #091543;
  }

  @media screen and (width <= 767px) {
    .popup__container {
      padding-inline: 1.875rem;
    }

    .popup__title-en {
      text-align: center;
    }

    .popup__texts p {
      font-size: 1rem;
      text-align: left;
    }
  }

  @media screen and (width <= 380px) {
    .popup__title-en {
      line-height: 1.2;
    }
  }
}

/* ___________________________
ローディング画面
___________________________ */

/* ローディングムービー */
#loading-screen {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9998;
  display: flex;
  display: none;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  background: #000;
  transition: opacity 0.6s ease;
}

#loading-screen.loading-open {
  display: block;
}

#loading-screen.fade-out {
  opacity: 0;
  pointer-events: none;
}

#loading-video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* スキップボタン */
#skip-button {
  position: absolute;
  right: 30px;
  bottom: 30px;
  padding: 2px 48px 3px 24px;
  font-family: var(--familyEB);
  font-size: 24px;
  line-height: 1.4;
  background: rgb(255 255 255 / 0%);
  border: 1px solid #000;
  transition: background 0.15s;
  cursor: pointer;
}

#skip-button::after {
  position: absolute;
  top: 50%;
  right: 16px;
  width: 24px;
  height: 24px;
  background: url('../images/common/skip-arrow--black.svg') no-repeat center center / contain;
  content: '';
  transform: translateY(-50%);
}

#skip-button:hover {
  background: rgb(255 255 255 / 80%);
}
